--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: translate
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: R2R
  value: "Object.const_defined?(:Ruby2Ruby) ? Ruby2Ruby : RubyToRuby"
full_name: ParseTreeArray
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: arg_nodes
- !ruby/object:RI::MethodSummary 
  name: deep_array_node
- !ruby/object:RI::MethodSummary 
  name: get_args
name: ParseTreeArray
superclass: Array
